package com.r11.tools.xml;

import com.r11.tools.controller.internal.XPathQueryResult;

public interface XmlEngine {
    XPathQueryResult processXPath(String data, String query, String version) throws Exception;
    String processXSLT(String data, String transform) throws Exception;
    String validate(String data, String xsd) throws Exception;

    public String getVersion();

}
